<?xml version="1.0" encoding="ISO-8859-1" standalone="yes"?>
<!--
This is just a transformer from XMLReleaseNotes.xsd V0.18.2 into V0.19.0.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrn="http://xmlreleasenotes.free.fr" version="1.0">
	<xsl:output method="xml" indent="yes" encoding="ISO-8859-1"/>
	<xsl:variable name="XRN_TARGET_VERSION" select="'0.19.2'"/>
	<xsl:include href="XMLReleaseNotesConvertorCommon.xsl"/>
	<!-- The top 'version' attribute has been renamed 'XRNVersion'-->
	<xsl:template match="xrn:ReleaseNotes">
		<xsl:copy>
			<xsl:copy-of select="@*[not(name() = 'version')]"/>
			<xsl:if test="@version">
				<xsl:attribute name="XRNVersion">0.19.0</xsl:attribute>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<!-- The 'contributorID' and 'askingPersonID' shortcut attributes are removed from the 'Feature' element -->
	<xsl:template match="Features/Feature">
		<xsl:copy>
			<xsl:copy-of select="@*[not(name() = 'contributorID' or name() = 'askingPersonID')]"/>
			<xsl:copy-of select="Tags"/>
			<xsl:copy-of select="Title"/>
			<xsl:if test="AskingPersons or @askingPersonID">
				<AskingPersons>
					<xsl:if test="@askingPersonID">
						<Actor>
							<xsl:attribute name="ID"><xsl:value-of select="@askingPersonID"/></xsl:attribute>
						</Actor>
					</xsl:if>
					<xsl:copy-of select="AskingPersons/Actor"/>
				</AskingPersons>
			</xsl:if>
			<xsl:if test="Contributors or @contributorID">
				<Contributors>
					<xsl:if test="@contributorID">
						<Actor>
							<xsl:attribute name="ID"><xsl:value-of select="@contributorID"/></xsl:attribute>
						</Actor>
					</xsl:if>
					<xsl:copy-of select="Contributors/Actor"/>
				</Contributors>
			</xsl:if>
			<xsl:copy-of select="Item"/>
		</xsl:copy>
	</xsl:template>
	<!-- The 'Component' complex element has been widely revisited... -->
	<xsl:template match="Releases/Release/*/Component">
		<xsl:choose>
			<xsl:when test="name(..) = 'Composition'">
				<xsl:copy>
					<xsl:copy-of select="@*[not(name() = 'contentType')]"/>
					<xsl:if test="text()">
						<Summary>
							<xsl:if test="@contentType">
								<xsl:attribute name="contentType"><xsl:value-of select="@contentType"/></xsl:attribute>
							</xsl:if>
							<xsl:value-of select="."/>
						</Summary>
					</xsl:if>
				</xsl:copy>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:copy-of select="@*[not(name() = 'version' or name() = 'contentType')]"/>
					<xsl:if test="text()">
						<Summary>
							<xsl:if test="@contentType">
								<xsl:attribute name="contentType"><xsl:value-of select="@contentType"/></xsl:attribute>
							</xsl:if>
							<xsl:value-of select="."/>
						</Summary>
					</xsl:if>
					<xsl:if test="@version">
						<Version>
							<Single>
								<xsl:attribute name="version"><xsl:value-of select="@version"/></xsl:attribute>
							</Single>
						</Version>
					</xsl:if>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
